%define module	mageiasync
%define gitname	MageiaSync
%define oname	mageiaSync

Name:		python-%{module}
Version:	0.1.7
Release:	%mkrel 1
Summary:	A frontend to rsync for Mageia usage
License:	GPLv3
Group:		Development/Python
URL:		http://gitweb.mageia.org/qa/MageiaSync/about/
Source0:	http://gitweb.mageia.org/qa/MageiaSync/snapshot/%{gitname}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python3-setuptools
BuildRequires:	python-qt5-devel
BuildRequires:	qttools5

Requires:	python3-qt5
Requires:	python3-sip
Requires:	rsync

%description
A tool for downloading ISO images from repository (miror) or Mageia
testing repository. It uses rsync at main. Its aim is to be a tool
like dorsync with GUI.

This is a Python 3 build of %{module}.

%prep
%setup -q -n %{gitname}-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --root=%{buildroot} --skip-build

%files
%doc CHANGELOG LICENSE README.md
%{_bindir}/%{module}
%{_datadir}/%{module}/
%{_datadir}/applications/%{module}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{module}.svg
%{python3_sitelib}/%{oname}
%{python3_sitelib}/%{module}-%{version}-py%{py3ver}.egg-info


%changelog
* Fri Dec 04 2015 daviddavid <daviddavid> 0.1.7-1.mga5
+ Revision: 908025
- new version: 0.1.7 (fixes mga#17267)
- now switches to python 3

* Sat May 02 2015 daviddavid <daviddavid> 0.1.5-1.mga5
+ Revision: 821025
- new version: 0.1.5
  * http://gitweb.mageia.org/qa/MageiaSync/plain/CHANGELOG

* Sun Mar 01 2015 daviddavid <daviddavid> 0.1.4-1.mga5
+ Revision: 817220
- new version: 0.1.4

* Sat Feb 21 2015 daviddavid <daviddavid> 0.1.3-1.mga5
+ Revision: 816218
- new version: 0.1.3
- improve description
- update file list
- update Url and Source Url
- update BuildRequires

* Tue Dec 02 2014 akien <akien> 0.1.2-1.mga5
+ Revision: 800413
- Version 0.1.2

* Sun Oct 26 2014 daviddavid <daviddavid> 0.1.1-1.mga5
+ Revision: 793511
- new version: 0.1.1

* Tue Oct 21 2014 daviddavid <daviddavid> 0.1-1.mga5
+ Revision: 792335
- imported package python-mageiasync

